# Publisher Plugin

A custom WordPress plugin for publishing functionality.

## Installation and Setup

1. Download the plugin files
2. Upload the plugin folder to the `/wp-content/plugins/` directory
3. Activate the plugin through the 'Plugins' menu in WordPress
4. In the "settings" tab, navigate to "Location Settings" and enter the City / State. Click "Update Coordinates from City/State" and save your changes at hte bottom of the page. 
5. Tailor your posts by customizing the author and which category to post to, and Weather Write will post to the selected category using the selected author for your automated posts. 
6. Further customize your weather reports by adding up to 3 weather images per weather condition. WeatherWrite will randomly select an image from your selected weather images so your weather reports look dynamic on your weather page.  WeatherWrite provides default starting images. 

## Premium Account

Weather Write is a free service and will schedule up to 1 post per day and will allow users limited customization around images. Upgrading your account to a premium account will increase your posts up to 6 times per day, up to 3 images per weather condition. Along with those customization features, the Weather Write will write an ehnanced weather report using AI to produce a report that goes beyond just the weather conditions and will give your readers a better understanding of how to prepare for the day ahead. 

To obtain an API Key for your premium account, visit `www.weatherwrite.com` and follow the prompts to setup your premium account. 

## Requirements

- WordPress 6.0 or higher
- PHP 7.4 or higher

## License

This plugin is licensed under the GPL v2 or later.
